Package org.eclipse.mat.ui.internal.query.arguments

# Class TableEditorFactory

java.lang.Object
org.eclipse.mat.ui.internal.query.arguments.TableEditorFactory

public class TableEditorFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`TableEditorFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ArgumentEditor`
`createTableEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableEditorFactory

public TableEditorFactory()

## Method Details

### createTableEditor

public static ArgumentEditor createTableEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)